<?php

namespace App\Model\Entities\Components\Article;

use App\Model\Entities\Security\User;
use App\Model\Entities\Components\TextEntryTranslation;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 */
class ArticleTranslation extends TextEntryTranslation
{
    /**
     * ArticleTranslation constructor.
     * @param User $createdBy
     * @param ArticleVersion $version
     * @param $language
     */
    public function __construct(User $createdBy, ArticleVersion $version, $language)
    {
        parent::__construct($createdBy, $version, $language);
    }

    /**
     * @return Article
     */
    public function getArticle()
    {
        return $this->textEntry;
    }

    /**
     * @return ArticleVersion
     */
    public function getArticleVersion()
    {
        return $this->version;
    }

}